C API Functions

## udbLibraryList

### Description

Returns an allocated list of libraries. Use udbLibraryListFree() to free the list.

Currently only applies to Understand for Ada databases and only the "standard" Ada library is supported. Future versions of Understand will support libraries.

### Syntax

     #include "udb/udb.h"
     void udbLibraryList(char *filter,
                        UdbLibrary **liblist,
                        int *num)

### Arguments

Argument | description
char *filter | Specify the library filter
UdbLibrary **liblist | Returns the allocated list of libraries
int *num | If not NULL, returns the size of the library list

### Return Values

There is no function return value.

### Example Usage

     udbLibraryList ("~standard", &libraries, &size);

### See Also

udbLibraryListFree to free the library list.

udbLibraryName to get the name of a library.

Scientific Toolworks, Inc. http://www.scitools.com Voice: (802) 763-2995 Fax: (802) 763-3066 support@scitools.com sales@scitools.com